Get post note
curl --request GET \
--url https://app.trypost.it/api/posts/{post}/notes/{note} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.trypost.it/api/posts/{post}/notes/{note}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.trypost.it/api/posts/{post}/notes/{note}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.trypost.it/api/posts/{post}/notes/{note}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.trypost.it/api/posts/{post}/notes/{note}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.trypost.it/api/posts/{post}/notes/{note}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.trypost.it/api/posts/{post}/notes/{note}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "9d3c2a10-3b4c-4d5e-8f6a-7b8c9d0e1f2a",
"post_id": "9d3c1f2a-6b4e-4c8a-9f1e-2a7b5c8d0e41",
"body": "@[user:9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b] can we swap the image for the dark version?",
"mentions": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
}
],
"reactions": [
{
"emoji": "👍",
"count": 2,
"users": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
},
{
"id": "9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e",
"name": "Ana Souza"
}
]
}
],
"author": {
"id": "9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e",
"name": "Ana Souza",
"photo_url": "https://media.trypost.it/medias/9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e.jpg"
},
"created_at": "2026-10-08 14:02:45",
"updated_at": "2026-10-08 14:02:45"
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Post notes
Get post note
Returns one note of the post. A note of another post returns 404.
GET
/
posts
/
{post}
/
notes
/
{note}
Get post note
curl --request GET \
--url https://app.trypost.it/api/posts/{post}/notes/{note} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.trypost.it/api/posts/{post}/notes/{note}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.trypost.it/api/posts/{post}/notes/{note}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.trypost.it/api/posts/{post}/notes/{note}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.trypost.it/api/posts/{post}/notes/{note}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.trypost.it/api/posts/{post}/notes/{note}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.trypost.it/api/posts/{post}/notes/{note}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "9d3c2a10-3b4c-4d5e-8f6a-7b8c9d0e1f2a",
"post_id": "9d3c1f2a-6b4e-4c8a-9f1e-2a7b5c8d0e41",
"body": "@[user:9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b] can we swap the image for the dark version?",
"mentions": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
}
],
"reactions": [
{
"emoji": "👍",
"count": 2,
"users": [
{
"id": "9b2f4e6a-1c3d-4e5f-8a9b-0c1d2e3f4a5b",
"name": "Leo Martins"
},
{
"id": "9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e",
"name": "Ana Souza"
}
]
}
],
"author": {
"id": "9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e",
"name": "Ana Souza",
"photo_url": "https://media.trypost.it/medias/9b1e2d3c-4f5a-4b6c-8d7e-9f0a1b2c3d4e.jpg"
},
"created_at": "2026-10-08 14:02:45",
"updated_at": "2026-10-08 14:02:45"
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Path Parameters
Response
The note.
An internal note on a post. Notes are never published.

